/*
 * Exception.h  -  A simple Exception class
 *
 * Copyright: (C) 2004 by Konstantin Tretyakov
 * Created: March 29, 2004
 *
 *
 *
 *   This program is free software; you can redistribute it 
 *   and/or modify it under the terms of the GNU General Public
 *   License as published by the Free Software Foundation; either
 *   version 2 of the License, or (at your option) any later
 *   version.
 *
 */

#ifndef __Exception_h__
#define __Exception_h__

#include <string>
#include <sstream>
using std::string;
using std::ostringstream;


/**
 * String concatenation with ints.
 */
string operator+(const string& s, int i)
{
    ostringstream o;
    o << s << i;
    return o.str();
}


class Exception
{
public:
    const string message;
    
    Exception(const char* message):
        message(message)
    {}

    Exception(const string& message):
        message(message)
    {}
        
    Exception(): message() {}
    
    ~Exception(){}
};
    
#endif


